Package icyllis.modernui.graphics.drawable

# Enum Class GradientDrawable.Orientation

java.lang.Object
java.lang.Enum<GradientDrawable.Orientation>
icyllis.modernui.graphics.drawable.GradientDrawable.Orientation

All Implemented Interfaces:
  `Serializable`, `Comparable<GradientDrawable.Orientation>`, `Constable`

Enclosing class:
  `GradientDrawable`

public static enum GradientDrawable.Orientation extends Enum<GradientDrawable.Orientation>
Controls how the gradient is oriented relative to the drawable's bounds

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BL_TR`
  draw the gradient from the bottom-left to the top-right
  `BOTTOM_TOP`
  draw the gradient from the bottom to the top
  `BR_TL`
  draw the gradient from the bottom-right to the top-left
  `LEFT_RIGHT`
  draw the gradient from the left to the right
  `RIGHT_LEFT`
  draw the gradient from the right to the left
  `TL_BR`
  draw the gradient from the top-left to the bottom-right
  `TOP_BOTTOM`
  draw the gradient from the top to the bottom
  `TR_BL`
  draw the gradient from the top-right to the bottom-left

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GradientDrawable.Orientation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GradientDrawable.Orientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP_BOTTOM

    public static final GradientDrawable.Orientation TOP_BOTTOM
    draw the gradient from the top to the bottom

  - ### TR_BL

    public static final GradientDrawable.Orientation TR_BL
    draw the gradient from the top-right to the bottom-left

  - ### RIGHT_LEFT

    public static final GradientDrawable.Orientation RIGHT_LEFT
    draw the gradient from the right to the left

  - ### BR_TL

    public static final GradientDrawable.Orientation BR_TL
    draw the gradient from the bottom-right to the top-left

  - ### BOTTOM_TOP

    public static final GradientDrawable.Orientation BOTTOM_TOP
    draw the gradient from the bottom to the top

  - ### BL_TR

    public static final GradientDrawable.Orientation BL_TR
    draw the gradient from the bottom-left to the top-right

  - ### LEFT_RIGHT

    public static final GradientDrawable.Orientation LEFT_RIGHT
    draw the gradient from the left to the right

  - ### TL_BR

    public static final GradientDrawable.Orientation TL_BR
    draw the gradient from the top-left to the bottom-right

- ## Method Details

  - ### values

    public static GradientDrawable.Orientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GradientDrawable.Orientation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null